Chelabase
ManagementMembers

List a project's grants

GET
/v1/projects/{id}/grants

Every member's grant on the project (an invited member's counts once they accept), with its overrides on the project's databases. Tenant admins are admin everywhere without a grant.

Authorization

bearer
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Project id

Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/grants"
[  {    "member_id": "435a4844-006a-4cfc-a644-e8eb2dd2ca43",    "overrides": [      {        "database_id": "91088904-0b92-46ad-9240-e1afa0da22df",        "pg_roles": [          "string"        ],        "platform_role": "viewer"      }    ],    "pg_roles": "all",    "platform_role": "viewer"  }]